Bug 506981 - [QLogic 5.4 bug] qla4xxx: Testing updates, 4 fixes.
[QLogic 5.4 bug] qla4xxx: Testing updates, 4 fixes.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 460170
  Show dependency treegraph
 
Reported: 2009-06-19 12:31 EDT by Marcus Barrow
Modified: 2009-09-03 09:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla4xxx - testing fixes (8.57 KB, patch)
2009-06-21 17:30 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-06-19 12:31:13 EDT
Testing at QLogic has found 4 more issues. These patches address these significant problems.

 - Extended Sense Data Errors UPDATE

    The previous fix used a scratchpad area that was already in use. Provide appropriate storage for this
     information


 - Code Cleanup Removed residual from overrun debug print

    Correct the information provided by these prints so as not to provide mis-leading information.
    Residual is not valid for over runs.


 - Fixed NULL pointer dereference in eh_device reset

    eh_device_reset may be called from scsi error handler or sg_reset, etc.
    When called from sg_reset, there will not be an associated srb.
    Also removed DEAD code (marker_needed variable in ha struct)


 - Removed unused hiwater code

    This frees up the number available IOCBs.  Eliminates unnecessary
    eh_ escalations due to inability to obtain IOCB pkt for marker.


Changes have been tested at QLogic.
Comment 1 Marcus Barrow 2009-06-21 17:30:05 EDT
Created attachment 348821 [details]
qla4xxx - testing fixes
Comment 2 RHEL Product and Program Management 2009-06-22 17:53:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-07-07 11:05:32 EDT
in kernel-2.6.18-157.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 Marcus Barrow 2009-07-29 15:40:07 EDT
Verified in 2.6.18-158
Comment 9 errata-xmlrpc 2009-09-02 04:29:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.